aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDanilo M. <danix@danix.xyz>2026-05-14 18:08:20 +0200
committerDanilo M. <danix@danix.xyz>2026-05-14 18:08:20 +0200
commit75f15827db505f68e8bfaa72a435c3d3c78bfefb (patch)
treea9f99d9583fc8950724b4fa607c5c33c20fb60e3
parent8788156ad0ecfe5c2e80bc9b305e9ab69f0d090a (diff)
downloadmy-slackbuilds-75f15827db505f68e8bfaa72a435c3d3c78bfefb.tar.gz
my-slackbuilds-75f15827db505f68e8bfaa72a435c3d3c78bfefb.zip
Added: nvchecker
-rw-r--r--.extras/nvchecker.toml6
-rw-r--r--README.md1
-rw-r--r--nvchecker/README6
-rw-r--r--nvchecker/nvchecker.SlackBuild106
-rw-r--r--nvchecker/nvchecker.info10
-rw-r--r--nvchecker/nvtake.bash_completion16
-rw-r--r--nvchecker/slack-desc19
7 files changed, 164 insertions, 0 deletions
diff --git a/.extras/nvchecker.toml b/.extras/nvchecker.toml
index 81489b5..69de19b 100644
--- a/.extras/nvchecker.toml
+++ b/.extras/nvchecker.toml
@@ -57,3 +57,9 @@ prefix = "v"
source = "github"
github = "ValveSoftware/gamescope"
use_max_tag = true
+
+[nvchecker]
+source = "github"
+github = "lilydjwg/nvchecker"
+use_max_tag = true
+prefix = "v"
diff --git a/README.md b/README.md
index 1b66abb..488f36a 100644
--- a/README.md
+++ b/README.md
@@ -45,6 +45,7 @@ Each package lives in its own top-level subfolder:
| mutagen | ✅ | not tested | ✅ | 1.47.0 | 1.47.0 |
| solvespace | ✅ | not tested | ❌ | 3.2 | 3.2 |
| gamescope | ✅ | not tested | ❌ | 3.16.23 | 3.16.23 |
+| nvchecker | ✅ | not tested | ❌ | 2.20 | 2.20 |
---
diff --git a/nvchecker/README b/nvchecker/README
new file mode 100644
index 0000000..5d50f9f
--- /dev/null
+++ b/nvchecker/README
@@ -0,0 +1,6 @@
+nvchecker (New version checker for software releases)
+
+nvchecker (short for new version checker) is for checking if a new
+version of some software has been released.
+
+HOME: https://github.com/lilydjwg/nvchecker
diff --git a/nvchecker/nvchecker.SlackBuild b/nvchecker/nvchecker.SlackBuild
new file mode 100644
index 0000000..df58aba
--- /dev/null
+++ b/nvchecker/nvchecker.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for nvchecker
+
+# Copyright 2026 danix <danix@danix.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=nvchecker
+VERSION=${VERSION:-2.20}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation
+make -C docs man
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# bash completion scripts & man
+install -Dm644 $CWD/nvtake.bash_completion "$PKG"/usr/share/bash-completion/completions/nvtake
+install -Dm644 docs/_build/man/nvchecker.1 -t "$PKG"/usr/man/man1/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE *.md *.rst docs/*.rst sample* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/nvchecker/nvchecker.info b/nvchecker/nvchecker.info
new file mode 100644
index 0000000..a5f50a8
--- /dev/null
+++ b/nvchecker/nvchecker.info
@@ -0,0 +1,10 @@
+PRGNAM="nvchecker"
+VERSION="2.20"
+HOMEPAGE="https://github.com/lilydjwg/nvchecker"
+DOWNLOAD="https://github.com/lilydjwg/nvchecker/archive/v2.20/nvchecker-2.20.tar.gz"
+MD5SUM="890506247a0423c9ba677c912a798532"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python-tornado python-structlog python-httpx python-platformdirs python-awesomeversion python-toml"
+MAINTAINER="danix"
+EMAIL="danix@danix.xyz"
diff --git a/nvchecker/nvtake.bash_completion b/nvchecker/nvtake.bash_completion
new file mode 100644
index 0000000..23776c2
--- /dev/null
+++ b/nvchecker/nvtake.bash_completion
@@ -0,0 +1,16 @@
+# MIT licensed
+# Copyright (c) 2020 Felix Yan <felixonmars@archlinux.org>, et al.
+
+_nvtake() {
+ local cur _nvchecker_conf_mtime
+ _init_completion || return
+
+ _nvchecker_conf_mtime="$(stat -c %Y $HOME/.config/nvchecker/*)"
+ if [ -z "$_nvtake_completion_cache" -o "$_nvchecker_conf_mtime" != "$_nvchecker_conf_mtime_cached" ]; then
+ _nvtake_completion_cache="$(nvcmp -q)"
+ _nvchecker_conf_mtime_cached="$_nvchecker_conf_mtime"
+ fi
+
+ COMPREPLY=( $(compgen -W "$_nvtake_completion_cache" -- "$cur") )
+} &&
+ complete -F _nvtake nvtake
diff --git a/nvchecker/slack-desc b/nvchecker/slack-desc
new file mode 100644
index 0000000..5e1a35d
--- /dev/null
+++ b/nvchecker/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nvchecker: nvchecker (short for new version checker)
+nvchecker:
+nvchecker: nvchecker is for checking if a new version of some software
+nvchecker: has been released.
+nvchecker:
+nvchecker: This is the version 2.0 branch.
+nvchecker:
+nvchecker: Homepage: https://github.com/lilydjwg/nvchecker
+nvchecker:
+nvchecker:
+nvchecker: